**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/18.1/picklists/update-picklist-value-name.md

# Update Picklist Value Name



Change a picklist value `name` (only). To change a picklist value `label`, see the [previous section](/vault-api/api-reference/18.1/picklists/update-picklist-value-label) above.

Use caution when editing picklist labels or names. When these attributes are changed, they affect all existing document and object metadata that refer to the picklist. For users in the UI who are accustomed to seeing a particular selection, the changes may cause confusion. This may also break existing integrations that access picklist values via the API.

<Endpoint path="/api/{version}/objects/picklists/{picklist_name}/{picklist_value_name}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{picklist_name}` | The picklist `name` field value (`license_type__v`, `product_family__c`, `region__c`, etc.) |
| `{picklist_value_name}` | The picklist value `name` field value (`north_america__c`, `south_america__c`, etc.) |
</FieldTable>

## Request Details {#request-details}

To change an existing picklist value `name`, use `name` set to a new value. The picklist value `label` will remain unchanged. For example, to change the picklist value name `north_america__c`, enter `"name=north_america_united_states"`. Values may only contain a-z, 0-9, and single consecutive underscores; cannot start or end with an underscore; cannot contain spaces (use underscores). Do not append the name with `__v`, `__c`, or `__c`. Vault will add `__c` after processing.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "name=north_america_united_states" \
https://myvault.veevavault.com/api/v15.0/objects/picklists/regions__c/north_america__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

Only the picklist value `name` is changed. The picklist value `label` remains the same. In the UI, Admins will see the new name in **Admin > Business Admin > Picklists > {Picklist}**.



---

**Previous:** [Update Picklist Value Label](/quality/vault-api/api-reference/18.1/picklists/update-picklist-value-label)  
**Next:** [Delete Picklist Value](/quality/vault-api/api-reference/18.1/picklists/delete-picklist-value)